Author Topic: Eye-fi advice  (Read 11324 times)

rendez2k

  • New to the forum
  • *
  • Posts: 3
Eye-fi advice
« on: September 03, 2012, 10:43:10 PM »
Hi all. I had ml 2.3 installed on my sd card. Today, I bought an eye-fi card. My understanding is that ml can't be installed on that card. So, as the ml files are still on my old sd card, is there a procedure so I can swap between the two cards on my 600d depending if I want ml or eye-fi or can I simply not use ml now?

DFM

  • Freshman
  • **
  • Posts: 86
Re: Eye-fi advice
« Reply #1 on: September 04, 2012, 10:05:30 AM »
It depends if the eye-fi card is an X2 version (which I suspect yours will be if it's new). The older non-X2 cards are reported to work fine with ML, but the X2s don't set boot flags so if the camera's nvram is expecting to boot from SD (after installing ML using a normal card) it simply won't start. You can't even get the Canon firmware to load properly, you need to uninstall ML before swapping to the eye-fi card then re-install it afterwards (not only is that a pain, it raises the question of how many times we can safely rewrite nvram).

See http://www.flickr.com/groups/magiclanternfirmware/discuss/72157627990119618/#comment72157627879367185

I don't see much hope for fixing X2s in the short term as eye-fi would have to change their products (it may be fixable by a firmware update to the eye-fi card itself, but there's no commercial argument for doing so, given how few of their customers want to run ML). People have asked them and gotten nowhere.

rendez2k

  • New to the forum
  • *
  • Posts: 3
Re: Eye-fi advice
« Reply #2 on: September 04, 2012, 10:57:31 AM »
Thanks for the reply! I seem to be able to go to the firmware update menu, turn-off the bootflag and then insert my eye-fi card. I can then re-insert my ML card, go back to the FM menu and re-enable. It seems to work!

scrax

  • Developer
  • Hero Member
  • *****
  • Posts: 1417
  • Code monkey
Re: Eye-fi advice
« Reply #3 on: September 04, 2012, 02:09:40 PM »
Wich kind of x2?
Can you find which EyeFi firmware?

My EyeFi works without issue on 600D, the only problem is that it can't run software updates but it's not a problem since I've already the bootflag set on card and MacBoot worked for making it bootable.
But check also this for a little more info on EyeFi and Canon compatibility: http://www.magiclantern.fm/forum/index.php?topic=2457.msg10014#msg10014
I'm using ML2.3 for photography with:
EOS 600DML | EOS 400Dplus - EF 100mm f/2.8 USM Macro  - EF-S 17-85mm f4-5.6 IS USM - EF 70-200mm f/4 L USM - 580EXII - OsX Lion, Photoshop & Lightroom -no video experience- MLTools

rendez2k

  • New to the forum
  • *
  • Posts: 3
Re: Eye-fi advice
« Reply #4 on: September 04, 2012, 03:45:17 PM »
Its an x2 connect running a version of fw 5 (can't remember the exact version number but will check!)

jbuy41

  • Freshman
  • **
  • Posts: 94
Re: Eye-fi advice
« Reply #5 on: September 04, 2012, 10:20:30 PM »
If I use EOScard to set bootflag you think it might work?  ML flies are on the Eyefi card.

scrax

  • Developer
  • Hero Member
  • *****
  • Posts: 1417
  • Code monkey
Re: Eye-fi advice
« Reply #6 on: September 05, 2012, 02:50:29 AM »
If I use EOScard to set bootflag you think it might work?  ML flies are on the Eyefi card.
How can you do that?

You need to have the boot flag already set on camera. EOSCard will only make the card bootable, if that was your question for me using MacBoot (almost the same of EOSCard but for osx) worked.
Just try and report back please, also with info on what camera and what EyeFi (model and firmware) so we can start to build a compatibility list.
I'm using ML2.3 for photography with:
EOS 600DML | EOS 400Dplus - EF 100mm f/2.8 USM Macro  - EF-S 17-85mm f4-5.6 IS USM - EF 70-200mm f/4 L USM - 580EXII - OsX Lion, Photoshop & Lightroom -no video experience- MLTools

jbuy41

  • Freshman
  • **
  • Posts: 94
Re: Eye-fi advice
« Reply #7 on: September 05, 2012, 05:06:45 PM »
I loaded ML on Eyefi.  Used EOS and put bootflag on the card.  Loaded ML from other card.  Removed cardwith ML and put in Eyefi card.  It will not run.

550D Eyefi Connect X2 4g   FIRMWARE VER 5.0009

jbuy41

  • Freshman
  • **
  • Posts: 94
Re: Eye-fi advice
« Reply #8 on: September 05, 2012, 06:17:21 PM »
Added info

Removed ML bootflag.  Loaded Eyefi and took a pic ...it worked.

Went to Firmware menu and tried to load ML.  It looked like it was going to work,  the it was stuck on "loading".  Did a battery reset and it reverted to Canon and Eyefi software.

jbuy41

  • Freshman
  • **
  • Posts: 94
Re: Eye-fi advice
« Reply #9 on: September 05, 2012, 06:22:37 PM »
I have read that using an older ver of ML might work.  But that was with and older firmware ver on Eyefi.  Might give it a try.

scrax

  • Developer
  • Hero Member
  • *****
  • Posts: 1417
  • Code monkey
Re: Eye-fi advice
« Reply #10 on: September 06, 2012, 12:05:38 AM »
Before try this, use the canon fir and do the firmware update with EyeFi, I think it will stuck too, like for ML.
I'm using ML2.3 for photography with:
EOS 600DML | EOS 400Dplus - EF 100mm f/2.8 USM Macro  - EF-S 17-85mm f4-5.6 IS USM - EF 70-200mm f/4 L USM - 580EXII - OsX Lion, Photoshop & Lightroom -no video experience- MLTools

jbuy41

  • Freshman
  • **
  • Posts: 94
Re: Eye-fi advice
« Reply #11 on: September 06, 2012, 09:47:32 PM »
You mean do a firmware update with Eyefi with ML install on it?  If so, it sticks on "loading".

scrax

  • Developer
  • Hero Member
  • *****
  • Posts: 1417
  • Code monkey
Re: Eye-fi advice
« Reply #12 on: September 08, 2012, 08:07:43 AM »
No i mean a regular canon firmware update, no ML involved at all.
I'm using ML2.3 for photography with:
EOS 600DML | EOS 400Dplus - EF 100mm f/2.8 USM Macro  - EF-S 17-85mm f4-5.6 IS USM - EF 70-200mm f/4 L USM - 580EXII - OsX Lion, Photoshop & Lightroom -no video experience- MLTools

scrax

  • Developer
  • Hero Member
  • *****
  • Posts: 1417
  • Code monkey
Re: Eye-fi advice
« Reply #13 on: December 09, 2012, 04:22:28 PM »
I liked the idea to to upload autoexec.bin to the card so i'm looking if there is something for that, here what i found so far:

A python standalone server (but for download only i think)
http://returnbooleantrue.blogspot.it/2009/04/eye-fi-standalone-server-version-20.html
last version are here:
https://github.com/nirgal/EyeFiServer

Some experiment alredy postet in the wiki:
http://dave-hansen.blogspot.it/

Here something is going on (maybe, not yet read all the topic.)
http://forums.eye.fi/viewtopic.php?t=270
I'm using ML2.3 for photography with:
EOS 600DML | EOS 400Dplus - EF 100mm f/2.8 USM Macro  - EF-S 17-85mm f4-5.6 IS USM - EF 70-200mm f/4 L USM - 580EXII - OsX Lion, Photoshop & Lightroom -no video experience- MLTools